import React from 'react';
import { Github, Mail, Globe, MessageSquare } from 'lucide-react';

export default function Footer() {
  return (
    <footer className="bg-gray-800 py-8 mt-24">
      <div className="max-w-6xl mx-auto px-6">
        <div className="flex flex-col md:flex-row items-center justify-between">
          <p className="text-gray-400">© {new Date().getFullYear()} Kaby_Kun. All rights reserved.</p>
          
          <div className="flex items-center space-x-6 mt-4 md:mt-0">
            <a 
              href="https://github.com/ByakuraRinne" 
              target="_blank" 
              rel="noopener noreferrer"
              className="text-gray-400 hover:text-cyan-400 transition-colors"
              aria-label="GitHub Profile"
            >
              <Github className="w-6 h-6" />
            </a>
            <a 
              href="mailto:gabriel@nazuna.ovh" 
              className="text-gray-400 hover:text-cyan-400 transition-colors"
              aria-label="Email"
            >
              <Mail className="w-6 h-6" />
            </a>
            <a 
              href="https://discord.gg/rcqUj2mFBm" 
              target="_blank" 
              rel="noopener noreferrer"
              className="text-gray-400 hover:text-cyan-400 transition-colors"
              aria-label="Discord Server"
            >
              <MessageSquare className="w-6 h-6" />
            </a>
            <a 
              href="https://astrohosting.ovh" 
              target="_blank" 
              rel="noopener noreferrer"
              className="text-gray-400 hover:text-cyan-400 transition-colors"
              aria-label="Website"
            >
              <Globe className="w-6 h-6" />
            </a>
          </div>
        </div>
      </div>
    </footer>
  );
}