import React from 'react';
import { motion } from 'framer-motion';
import Hero from '../components/Hero';
import TechStack from '../components/TechStack';
import Infrastructure from '../components/Infrastructure';

export default function Home() {
  return (
    <>
      <Hero />
      
      <motion.main
        initial={{ opacity: 0 }}
        animate={{ opacity: 1 }}
        transition={{ duration: 0.5, delay: 0.2 }}
        className="px-6 py-16 space-y-24"
      >
        <section>
          <div className="max-w-6xl mx-auto mb-12 text-center">
            <h2 className="text-3xl font-bold mb-4">Tech Stack</h2>
            <p className="text-gray-400">Powering robust backend solutions</p>
          </div>
          <TechStack />
        </section>

        <section>
          <div className="max-w-6xl mx-auto mb-12 text-center">
            <h2 className="text-3xl font-bold mb-4">Infrastructure</h2>
            <p className="text-gray-400">Enterprise-grade hardware setup</p>
          </div>
          <Infrastructure />
        </section>
      </motion.main>
    </>
  );
}